Skip to main content
GET
/
api
/
v1
/
events
/
{eventId}
Get a single event with lines
curl --request GET \
  --url 'https://therundown.io/api/v1/events/{eventId}?key='
{
  "event_id": "09bfa53f8484a63e584398545c035932",
  "sport_id": 4,
  "event_date": "2026-02-12T00:00:00Z",
  "score": {
    "event_status": "STATUS_FINAL",
    "score_away": 107,
    "score_home": 110,
    "venue_name": "Spectrum Center",
    "venue_location": "Charlotte, NC",
    "event_status_detail": "Final"
  },
  "teams": [
    {
      "team_id": 178,
      "team_normalized_id": 11,
      "name": "Atlanta Hawks",
      "is_away": true,
      "is_home": false
    },
    {
      "team_id": 164,
      "team_normalized_id": 12,
      "name": "Charlotte Hornets",
      "is_away": false,
      "is_home": true
    }
  ],
  "teams_normalized": [
    {
      "team_id": 11,
      "name": "Atlanta",
      "mascot": "Hawks",
      "abbreviation": "ATL",
      "record": "26-30",
      "is_away": true,
      "is_home": false
    },
    {
      "team_id": 12,
      "name": "Charlotte",
      "mascot": "Hornets",
      "abbreviation": "CHA",
      "record": "26-29",
      "is_away": false,
      "is_home": true
    }
  ],
  "lines": {
    "4": {
      "line_id": 17980122,
      "moneyline": {
        "moneyline_away": -105,
        "moneyline_home": -115,
        "moneyline_draw": 0.0001
      },
      "spread": {
        "point_spread_away": 1.5,
        "point_spread_away_money": -110,
        "point_spread_home": -1.5,
        "point_spread_home_money": -110
      },
      "total": {
        "total_over": 235.5,
        "total_over_money": -110,
        "total_under": 235.5,
        "total_under_money": -110
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.therundown.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

key
string
query
required

API key as query parameter

Path Parameters

eventId
string
required

Query Parameters

include
enum<string>

Set to all_periods to include period-specific lines

Available options:
all_periods
affiliate_ids
string

Comma-separated affiliate IDs

Response

200 - application/json

Event with lines

event_id
string
event_uuid
string
sport_id
integer
event_date
string<date-time>
rotation_number_away
integer
rotation_number_home
integer
score
object
teams
object[]
teams_normalized
object[]
schedule
object
lines
object

Lines keyed by affiliate ID

line_periods
object

Period-specific lines keyed by affiliate ID (when include=all_periods)

pitcher_away
object
pitcher_home
object